"use strict";
/**
 * @module ComplexTypes
 * @preferred
 *
 * @description Module containing complex data types like HyperLink or ChoiceOption.
 *
 * This module is autogenerated from Sense/Net ContentRepository.
 *
 * ```
 * let link = new Fields.HyperlinkData({
 *   Href: 'http://sensenet.com',
 *   Text: 'Link to sensenet.com',
 *   Title: 'Go to sensenet.com',
 *   Target: '_blank'
 * });
 *
 * let webContent = new ContentTypes.WebContentDemo({
 *   Id: 1,
 *   Name: 'MyContent',
 *   DisplayName: 'My Content',
 *   Type: 'WebContentDemo',
 *   Details: link
 * });
 *
 * ```
 */ /** */
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:naming-convention
class ChoiceOption {
    constructor(value, text, enabled, selected) {
        this.Value = value;
        this.Text = text;
        this.Enabled = enabled;
        this.Selected = selected;
    }
}
exports.ChoiceOption = ChoiceOption;
class DeferredUriObject {
}
exports.DeferredUriObject = DeferredUriObject;
class DeferredObject extends Object {
}
exports.DeferredObject = DeferredObject;
class MediaObject {
}
exports.MediaObject = MediaObject;
class MediaResourceObject extends Object {
}
exports.MediaResourceObject = MediaResourceObject;
//# sourceMappingURL=ComplexTypes.js.map