/**
 * @module ComplexTypes
 * @preferred
 *
 * @description Module containing complex data types like HyperLink or ChoiceOption.
 *
 * This module is autogenerated from Sense/Net ContentRepository.
 *
 * ```
 * let link = new Fields.HyperlinkData({
 *   Href: 'http://sensenet.com',
 *   Text: 'Link to sensenet.com',
 *   Title: 'Go to sensenet.com',
 *   Target: '_blank'
 * });
 *
 * let webContent = new ContentTypes.WebContentDemo({
 *   Id: 1,
 *   Name: 'MyContent',
 *   DisplayName: 'My Content',
 *   Type: 'WebContentDemo',
 *   Details: link
 * });
 *
 * ```
 */ /** */

// tslint:disable:naming-convention

export class ChoiceOption {
    public Value: string;
    public Text?: string;
    public Enabled?: boolean;
    public Selected?: boolean;

    constructor(value: string, text?: string, enabled?: boolean, selected?: boolean) {
        this.Value = value;
        this.Text = text;
        this.Enabled = enabled;
        this.Selected = selected;
    }
}

export class DeferredUriObject {
    public uri: string;
}

export class DeferredObject extends Object {
    public __deferred: DeferredUriObject;
}

export class MediaObject {
    public edit_media: string;
    public media_src: string;
    public content_type: string;
    public media_etag: string;
}

export class MediaResourceObject extends Object {
    public __mediaresource: MediaObject;
}
